﻿@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<LoyaltyPointEngine.Model.Object.Facebook.FacebookLikeModel>


@(
 Html.Grid(Model).Named("AllFacebookLike").Columns(columns =>
 {
     columns.Add(x => x.FacebookUserID)
         .Titled("FB User ID")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.FacebookUserID).Filterable(true);

     columns.Add(x => x.Point)
         .Titled("Point")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Point > 0? x.Point.ToString(): "-").Filterable(true);

     columns.Add(x => x.MemberName)
       .Titled("Member")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
      .RenderValueAs(x => x.MemberName).Filterable(true);




     columns.Add()
         .Titled("System Created Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.CreatedDate.ToString("dd-MM-yyyy HH:mm")).Filterable(false);




 }).Filterable()
.Sortable()
.WithPaging(3)
)

@helper IsActiveRender(bool isActive)
{
    if (isActive)
    {
    <span>True</span>
    }
    else
    {
    <span>False</span>
    }
}